OCC(8)

NAME
occ - ownCloud server command line interface

SYNOPSIS
occ [options] command [arguments]

OPTIONS

--help -h Display this help message.

--quiet -q Do not output any message.

--verbose -v|vv|vvv Increase the verbosity of messages: 1 for normal output, 2 for more verbose output and 3 for debug.

--version -V Display this application version.

--ansi
    Force ANSI output.

--no-ansi
    Disable ANSI output.

--no-interaction -n Do not ask any interactive question.

  Available commands:

help
    Displays help for a command

list
    Lists commands

status
    show some status information

upgrade
    run upgrade routines

app

app:disable
    disable an app

app:enable
    enable an app

app:list
    List all available apps

db

db:convert-type
    Convert the ownCloud database to the newly configured one

db:generate-change-script
    generates the change script from the current connected db to db_structure.xml

files

files:scan
    rescan filesystem

ldap

ldap:check-user
    checks whether a user exists on LDAP.

ldap:search
    executes a user or group search

ldap:set-config
    modifies an LDAP configuration

ldap:show-config
    shows the LDAP configuration

ldap:show-remnants
    shows which users are not available on LDAP anymore, but have remnants in ownCloud.

ldap:test-config
    tests an LDAP configuration

maintenance

maintenance:mode
    set maintenance mode

maintenance:repair
    repair this installation

maintenance:singleuser
    set single user mode

music

music:reset-database
    will drop all metadata gathered by the music app (artists, albums, tracks)

music:scan
    rescan music

user

user:delete
    deletes the specified user

user:lastseen
    shows when the user was logged it last time

user:report
    shows how many users have access

user:resetpassword
    Resets the password of the named user